unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Gauges, gaugeCaption, ComCtrls;

type
  TForm1 = class(TForm)
    ExampleGauge: tgaugeCaption;
    ColorBox1: TColorBox;
    ColorBox2: TColorBox;
    ColorBox3: TColorBox;
    ColorBox4: TColorBox;
    ComboBox1: TComboBox;
    Edit1: TEdit;
    Button2: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    TrackBar1: TTrackBar;
    ComboBox2: TComboBox;
    Label7: TLabel;
    procedure ColorBox1Change(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.ColorBox1Change(Sender: TObject);
begin
 case TColorBox(Sender).Tag of
  1: ExampleGauge.ForeColor:=ColorBox1.Selected;
  2: ExampleGauge.ColdColor:=ColorBox2.Selected;
  3: ExampleGauge.MedColor:=ColorBox3.Selected;
  4: ExampleGauge.HotColor:=ColorBox4.Selected;
 end;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
 Case ComboBox1.ItemIndex of
  0: ExampleGauge.Kind:=gkHorizontalBar;
  1: ExampleGauge.Kind:=gkVerticalBar;
  2: ExampleGauge.Kind:=gkPie;
  3: ExampleGauge.Kind:=gkNeedle;
  4: ExampleGauge.Kind:=gkText;
 end;
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
 ExampleGauge.Caption:=Edit1.Text;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 if ExampleGauge.Posicion=poDerecha then begin
   ExampleGauge.Posicion:=poIzquierda;
   Button2.Caption:='Derecha?';
 end
 else begin
   ExampleGauge.Posicion:=poDerecha;
   Button2.Caption:='Izquierda?';
 end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 ExampleGauge.ForeColor:=ColorBox1.Selected;
 ExampleGauge.ColdColor:=ColorBox2.Selected;
 ExampleGauge.MedColor:=ColorBox3.Selected;
 ExampleGauge.HotColor:=ColorBox4.Selected;
 Button2Click (Sender);
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
 ExampleGauge.Progress:=TrackBar1.Position;
end;

procedure TForm1.ComboBox2Change(Sender: TObject);
begin
 case ComboBox2.ItemIndex of
 0: ExampleGauge.Temperature:= tNormal;
 1: ExampleGauge.Temperature:= tDegradado;
 2: ExampleGauge.Temperature:= tTemperatura;
 end;
end;

end.
